承载协议 | HTTPS+POST+JSON |
|---|---|
接口方向 | EMM厂商服务端->行业解决方案服务端 |
接口URL | POST https://hemapi-drcn.cloud.huawei.com/hds/v1/customer/emm/profile/update |
数据格式 | 请求消息:Content-Type: application/json 响应消息:Content-Type: application/json |
参数名称 | 类型 | 必须 | 长度 | 描述信息 |
|---|---|---|---|---|
id | String | M | 32 | Profile id |
name | String | M | 128 | Profile名称 |
provisioningType | String | O | 32 | 部署模式DEVICE_OWNER, DEVICE_ADMIN, USER_DEFINED |
description | String | O | 1024 | 描述 |
emmId | String | O | 32 | EMM厂商ID |
dpcId | String | O | 32 | DPC APK Id |
hwDpcId | String | O | 32 | HEM DPC APK ID |
hasCustom | Integer | O | 11 | 三方DPC是否有内容定制功能:1:包含0:不包含 |
dpcExtras | String | O | 1024 | dpc扩展信息 |
projectId | String | M | 32 | 项目ID |
protocolTitle | String | O | 128 | 协议标题 |
protocol | String | O | 10000 | 协议信息 |
customerName | String | M | 64 | 公司名称 |
allowUserCancel | Boolean | O | 是否允许用户取消部署 | |
skipSetupWizard | Boolean | O | 是否允许跳过开机向导 | |
leaveAllSystemAppsEnabled | Boolean | O | DO模式下是否保留系统应用 | |
customerName | String | M | 64 | 公司名称 |
contactName | String | M | 64 | 联系人名称 |
supportPhoneNum | String | M | 15 | 联系方式 |
supportEmailAddress | String | M | 64 | 联系email |
productType | String | M | 32 | 设备类型,枚举值: MOBILE:手机&平板设备 WATCH:智能表设备 SMART_SCREEN:智慧屏设备 |
Response Header
参数 | 参数类型 | 是否必选 | 描述 |
|---|---|---|---|
Content-Type | String | 是 | 取值为:application/json; charset=UTF-8 |
Response Body
参数名称 | 类型 | 必须 | 长度 | 描述信息 |
|---|---|---|---|---|
rtnCode | Integer | M | 11 | 响应码 |
rtnMsg | String | M | 32 | 响应描述 |
rtnDesc | String | O | 255 | 失败描述 |
返回值 | 备注 |
|---|---|
0 | 成功 |
85300001 | 参数不合法 |
85300004 | 未授权 |
85320001 | 组织用户不存在 |
85320002 | 组织用户未认证 |
85320003 | 组织用户状态异常 |
85320011 | 部署策略不存在 |
项目 | 示例 |
|---|---|
请求地址 | https://hemapi-drcn.cloud.huawei.com/hds/v1/customer/emm/profile/update |
请求报文 | { "id": "2fd0a26696f945c490ff0b82c4db7c85", "name": "String_update", "description": "String", "dpcId": "ffe9aa7f114d45faa02b253ba478fea2", "provisioningType": "DEVICE_OWNER", "dpcExtras": "{\"foo\": \"bar\"}", "projectId": "307e91a48d664ea29569839b2a655fe6", "protocolTitle": "String", "protocol": "String", "customerName": "String", "contactName": "String", "supportPhoneNum": "18397354753", "supportEmailAddress": "xiaojiezhi@huawei.com" } |
响应报文 | { "rtnCode": 0, "rtnMsg": "Success" } |
|---|